# Reserved stocks

Reserved stocks are used to refresh the reserved quantities associated with a specific [stock item](/core-api-reference/stock_items.md). They are automatically generated as part of the [stock reservations](/core-api-reference/stock_reservations.md) workflow and cannot be created manually.

{% hint style="warning" %}
Stock item's reserved quantities determine the actual availability of an SKU in a stock location. You can include them as a [relationship path](/core/including-associations.md#using-relationship-paths) when fetching a list of SKUs (or a single one) to check their [real-time stock availability](/core-api-reference/skus.md#checking-real-time-stock-availability) (additional computation on your side is required).
{% endhint %}

{% hint style="info" %}
This is an **immutable API**, meaning that create, update, and delete operations are not allowed on this endpoint. You can only fetch a list of reserved stocks or a single reserved stock object.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/reserved_stocks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
